package LATMOS::Accounts::Web::Controller::Json::DpmtRH;
use Moose;
use namespace::autoclean;

BEGIN { extends 'Catalyst::Controller'; }

=head1 NAME

LATMOS::Accounts::Web::Controller::Json::DpmtRH - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index

=cut

sub Fetch :Path :Args(1) {
    my ( $self, $c, $dpmt ) = @_;

    my $base = $c->model('Accounts')->db;

    my %exists = map { $_ => 1 } $base->search_objects('user', 'active=1', "department=$dpmt");
    my %status = $base->attributes_summary_by_object('user', 'contratType');

    my %dpmtstat;

    foreach my $user (keys %status) {
        $exists{$user} or next;
        foreach (@{ $status{$user} }) {
            $dpmtstat{$_} ||= 0;
            $dpmtstat{$_}++;
        }
    }

    $c->stash->{data} = [ map { [ $_ . " ($dpmtstat{$_})", $dpmtstat{$_} +0 ] } sort { $dpmtstat{$b} <=> $dpmtstat{$a} } keys %dpmtstat ];
}



=encoding utf8

=head1 AUTHOR

Olivier Thauvin,Guyancourt - B1428,+33 1 80285052,

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

__PACKAGE__->meta->make_immutable;

1;
